RangeTombstoneMarker (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.rows

## Interface RangeTombstoneMarker

- All Superinterfaces:
    Clusterable, Unfiltered
  All Known Implementing Classes:
    AbstractRangeTombstoneMarker, RangeTombstoneBoundaryMarker, RangeTombstoneBoundMarker

      public interface RangeTombstoneMarker
      extends Unfiltered

  A marker for a range tombstone bound.

  There is 2 types of markers: bounds (see `RangeTombstoneBoundMarker`) and boundaries (see `RangeTombstoneBoundaryMarker`).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `RangeTombstoneMarker.Merger` Utility class to help merging range tombstone markers coming from multiple inputs (UnfilteredRowIterators).

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.db.rows.Unfiltered

      `Unfiltered.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClusteringBound` | `closeBound(boolean reversed)`
    `DeletionTime` | `closeDeletionTime(boolean reversed)`
    `boolean` | `closeIsInclusive(boolean reversed)`
    `ClusteringBoundOrBoundary` | `clustering()`
    `RangeTombstoneMarker` | `copy(AbstractAllocator allocator)`
    `boolean` | `isBoundary()`
    `boolean` | `isClose(boolean reversed)`
    `default boolean` | `isEmpty()`
    `boolean` | `isOpen(boolean reversed)`
    `ClusteringBound` | `openBound(boolean reversed)`
    `DeletionTime` | `openDeletionTime(boolean reversed)`
    `boolean` | `openIsInclusive(boolean reversed)`
    `RangeTombstoneMarker` | `withNewOpeningDeletionTime(boolean reversed, DeletionTime newDeletionTime)`

    - ### Methods inherited from interface org.apache.cassandra.db.rows.Unfiltered

      `digest, digest, isRangeTombstoneMarker, isRow, kind, toString, toString, toString, validateData`

- - ### Method Detail

    - #### clustering

          ClusteringBoundOrBoundary clustering()

      Specified by:
        `clustering` in interface `Clusterable`

    - #### isBoundary

          boolean isBoundary()

    - #### isOpen

          boolean isOpen(boolean reversed)

    - #### isClose

          boolean isClose(boolean reversed)

    - #### openDeletionTime

          DeletionTime openDeletionTime(boolean reversed)

    - #### closeDeletionTime

          DeletionTime closeDeletionTime(boolean reversed)

    - #### openIsInclusive

          boolean openIsInclusive(boolean reversed)

    - #### closeIsInclusive

          boolean closeIsInclusive(boolean reversed)

    - #### openBound

          ClusteringBound openBound(boolean reversed)

    - #### closeBound

          ClusteringBound closeBound(boolean reversed)

    - #### copy

          RangeTombstoneMarker copy(AbstractAllocator allocator)

    - #### isEmpty

          default boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Unfiltered`

    - #### withNewOpeningDeletionTime

          RangeTombstoneMarker withNewOpeningDeletionTime(boolean reversed,
                                                          DeletionTime newDeletionTime)

Copyright © 2018 The Apache Software Foundation